### Type parameters

- #### T

### Hierarchy

- Future

## Index

### Properties

- error
- isComplete
- isError
- value

### Methods

- onComplete
- onError
- onProgress
- ready
- result
- then
- withError
- withValue

## Properties

### error

error: any

- Defined in lib/openfl/utils/Future.d.ts:7

### isComplete

isComplete: boolean

- Defined in lib/openfl/utils/Future.d.ts:8

### isError

isError: boolean

- Defined in lib/openfl/utils/Future.d.ts:9

### value

value: T

- Defined in lib/openfl/utils/Future.d.ts:10

## Methods

### onComplete

- onComplete(listener: function): Future<T>

- - Defined in lib/openfl/utils/Future.d.ts:12

  #### Parameters

  - ##### listener: function

    - - (value: T): void

      - #### Parameters

        - ##### value: T

        #### Returns void

  #### Returns Future<T>

### onError

- onError(listener: function): Future<T>

- - Defined in lib/openfl/utils/Future.d.ts:13

  #### Parameters

  - ##### listener: function

    - - (error: any): void

      - #### Parameters

        - ##### error: any

        #### Returns void

  #### Returns Future<T>

### onProgress

- onProgress(listener: function): Future<T>

- - Defined in lib/openfl/utils/Future.d.ts:14

  #### Parameters

  - ##### listener: function

    - - (bytesLoaded: number, bytesTotal: number): void

      - #### Parameters

        - ##### bytesLoaded: number

        - ##### bytesTotal: number

        #### Returns void

  #### Returns Future<T>

### ready

- ready(waitTime?: number): Future<T>

- - Defined in lib/openfl/utils/Future.d.ts:15

  #### Parameters

  - ##### Optional waitTime: number

  #### Returns Future<T>

### result

- result(waitTime?: number): T | null

- - Defined in lib/openfl/utils/Future.d.ts:16

  #### Parameters

  - ##### Optional waitTime: number

  #### Returns T | null

### then

- then<U>(next: function): Future<U>

- - Defined in lib/openfl/utils/Future.d.ts:17

  #### Type parameters

  - #### U

  #### Parameters

  - ##### next: function

    - - (value: T): Future<U>

      - #### Parameters

        - ##### value: T

        #### Returns Future<U>

### Static withError

- withError(error: any): Future<any>

- - Defined in lib/openfl/utils/Future.d.ts:18

  #### Parameters

  - ##### error: any

  #### Returns Future<any>

### Static withValue

- withValue<T>(value: T): Future<T>

- - Defined in lib/openfl/utils/Future.d.ts:19

  #### Type parameters

  - #### T

  #### Parameters

  - ##### value: T

  #### Returns Future<T>

Generated using TypeDoc